# Copyright 2004 by Sun Microsystems, Inc.
# All rights reserved.


# File
# ----
# awk script
# 
# Description
# -----------
# Service_svc.h parsing

#pragma ident  "@(#)Service_h.awk 1.1     04/05/12 SMI"

{
	Service = match($0,"com/sun/jes/monitoring/conn/Service.h")
        rpc=match($0,"<rpc/rpc.h>")
        if (Service == 0 )  {
		print $0
	}
        if (rpc !=0) {
                print "#include \"mfRserver.h\""
        }
}
